﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using SifrovanjeTakmicenje.SifrovanjeTakmicenjeDataSetTableAdapters;
//https://viser.edu.rs/uploads/2023/05/SifrovanjeTakmicenje.zip
namespace SifrovanjeTakmicenje
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }
        private void postaviAktivnu(Form frm)
        {
            frm.MdiParent = this;
            frm.Show();
        }
        private void skoleToolStripMenuItem_Click(object sender, EventArgs e)
        {
            postaviAktivnu(new frmSkole());
        }

        private void mentoriToolStripMenuItem_Click(object sender, EventArgs e)
        {
            postaviAktivnu(new frmMentori());
        }

        private void generisanjeSifriToolStripMenuItem_Click(object sender, EventArgs e)
        {
            SifrovanjeTakmicenjeDataSet ds = new SifrovanjeTakmicenjeDataSet();
            SifrovanjeTakmicenjeDataSetTableAdapters.SifraTableAdapter taSifra = new SifraTableAdapter();
            taSifra.Fill(ds.Sifra);
            Random rnd = new Random();
            int brojSifara = 100;
            int id = 1;
            while (ds.Sifra.Count < brojSifara)
            {
                int sifra = rnd.Next(10000000, 99999999);
                bool postojiSifra = ds.Sifra.Select(x => x.sifra).ToList().Contains(sifra.ToString());
                if (!postojiSifra)
                {
                    SifrovanjeTakmicenjeDataSet.SifraRow sifraRow = ds.Sifra.NewSifraRow();
                    sifraRow.id = id;
                    id++;
                    sifraRow.sifra = sifra.ToString();
                    sifraRow.barcode=new Byte[64];
                    ds.Sifra.Rows.Add(sifraRow);
                    taSifra.Update(ds.Sifra);
                }
            }
            MessageBox.Show("Zavrsio sam generisanje");
        }

        private void sifreToolStripMenuItem_Click(object sender, EventArgs e)
        {
            postaviAktivnu(new frmSifre());
        }

        private void generisanjeRangListiToolStripMenuItem_Click(object sender, EventArgs e)
        {
            postaviAktivnu(new frmRangLista());
        }
    }
}
